#!/bin/sh
# Installer script for adding MIME type for FTN Message to MIME database

# CHANGES !!!!

alert --warning 	"Add FTN Message MIME type (text/x-ftn-message) to global BeOS MIME type databse and create indexes for its fileds?" \
			"No" "Yes" || \
			
		(
			setmime -set text/x-ftn-message -short "FTN Message" \
			    -long "FTN Message" \
			    -preferredAppSig application/x-vnd.Zharik-FTNPointSystem \
			    -extension ".msg" \
				-attribute "FTN:Status" -attrName "Status"  -attrWidth 35 \
					-attrType 'CSTR' -attrViewable 1 -attrEditable 0 \
				-attribute "FTN:From" -attrName "From"  -attrWidth 170 \
				    -attrType 'CSTR' -attrViewable 1 -attrEditable 0 \
				-attribute "FTN:To" -attrName "To"  -attrWidth 150 \
				    -attrType 'CSTR' -attrViewable 1 -attrEditable 0 \
				-attribute "FTN:OAddr" -attrName "Org. Address"  -attrWidth 150 \
				    -attrType 'CSTR' -attrViewable 1 -attrEditable 0 \
				-attribute "FTN:DAddr" -attrName "Dest. Address"  -attrWidth 150 \
				    -attrType 'CSTR' -attrViewable 1 -attrEditable 0 \
				-attribute "FTN:Subject" -attrName "Subject"  -attrWidth 220 \
					-attrType 'CSTR' -attrViewable 1 -attrEditable 0 \
 				-attribute "FTN:Area" -attrName "Area" -attrWidth 150 \
 				    -attrType 'CSTR' -attrViewable 1 -attrEditable 0 \
				-attribute "FTN:Written" -attrName "Written"  -attrWidth 130 \
					-attrType 'TIME' -attrViewable 1 -attrEditable 0 \
				-attribute "FTN:Received" -attrName "Received"  -attrWidth 130 \
					-attrType 'TIME' -attrViewable 1 -attrEditable 0
			
			mkindex "FTN:Status"
			mkindex "FTN:From"
			mkindex "FTN:To"
			mkindex "FTN:OAddr"
			mkindex "FTN:DAddr"
			mkindex "FTN:Subject"
			mkindex "FTN:Area"
			mkindex "FTN:Written"
			mkindex "FTN:Received"
			
			alert --info "Installation finished." "OK"
		)
