#!/bin/sh
# Installer script for adding MIME type for FTN Message to MIME database

alert --warning 	"Remove FTN Message MIME type (text/x-ftn-message) from global BeOS MIME type database and delete indexes for its fileds?" \
			"No" "Yes" || \
			
		(
			setmime -remove text/x-ftn-message
					
			rmindex "FTN:Status"
			rmindex "FTN:From"
			rmindex "FTN:To"
			rmindex "FTN:OAddr"
			rmindex "FTN:DAddr"
			rmindex "FTN:Subject"
			rmindex "FTN:Area"
			rmindex "FTN:Written"
			rmindex "FTN:Received"
			
			alert --info "Removing finished." "OK"
		)
